:root {
    --bg: #2c2c2c;
    --bg-light: #3c3c3c;
    --primary: #ffffff;
    --secondary: #78c29f;
    --tertiary: #dc576a;
    --text: #e0e0e0;
    --text-dark: #2c2c2c;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, sans-serif;
    
}

body {
    background-color: var(--bg);
    color: var(--primary);
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, sans-serif;
    min-height: 100vh;
    padding: 0;
    touch-action: manipulation;
    -webkit-tap-highlight-color: transparent;
}

.slider-container {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
}

.slide {
    position: absolute;
    top: 0;
    width: auto;
    height: 100%;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

.slide img {
    width: auto;
    height: 100%;
    position: relative;
}

.textarea-overlay {
    position: absolute;
}

.textarea-overlay span {
    white-space: pre-wrap;
    word-break: break-word;
    line-height: 1.2;
    height: 100%;
    width: 100%;
    display: block;
}

.color-index-0 {
    color: var(--bg);
}
.color-index-1 {
    color: var(--text);
}
.color-index-2 {
    color: var(--secondary);
}
.color-index-3 {
    color: var(--tertiary);
}